summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/publish-vscode.yml4
-rwxr-xr-xsdks/vscode/script/publish7
2 files changed, 8 insertions, 3 deletions
diff --git a/.github/workflows/publish-vscode.yml b/.github/workflows/publish-vscode.yml
index 6014d430a..48357813f 100644
--- a/.github/workflows/publish-vscode.yml
+++ b/.github/workflows/publish-vscode.yml
@@ -24,6 +24,10 @@ jobs:
- run: git fetch --force --tags
- run: bun install -g @vscode/vsce
+ - name: Install extension dependencies
+ run: bun install
+ working-directory: ./sdks/vscode
+
- name: Publish
run: |
./script/publish
diff --git a/sdks/vscode/script/publish b/sdks/vscode/script/publish
index f8eb6d1f3..bc48f574c 100755
--- a/sdks/vscode/script/publish
+++ b/sdks/vscode/script/publish
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
+set -euo pipefail
# Get the latest Git tag
latest_tag=$(git tag --sort=committerdate | grep -E '^vscode-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
@@ -7,14 +8,14 @@ if [ -z "$latest_tag" ]; then
exit 1
fi
echo "Latest tag: $latest_tag"
-version=$(echo $latest_tag | sed 's/^vscode-v//')
+version=$(echo "$latest_tag" | sed 's/^vscode-v//')
echo "Latest version: $version"
# package-marketplace
-vsce package --no-git-tag-version --no-update-package-json --no-dependencies --skip-license -o dist/opencode.vsix $version
+vsce package --no-git-tag-version --no-update-package-json --no-dependencies --skip-license -o dist/opencode.vsix "$version"
# publish-marketplace
vsce publish --packagePath dist/opencode.vsix
# publish-openvsx
-npx ovsx publish dist/opencode.vsix -p $OPENVSX_TOKEN \ No newline at end of file
+npx ovsx publish dist/opencode.vsix -p "$OPENVSX_TOKEN"